तीन स्कीम
प्रत्येक स्कीम म्हणजे मजकुराचा लहान तुकडा जो फोनला योग्य ॲपकडे कसा द्यायचा हे माहीत असते. mailto: ईमेल ॲप उघडते, tel: डायलर उघडते आणि sms: मेसेजिंग ॲप उघडते, प्राप्तकर्ता आणि कधीकधी संदेश आधीच भरलेला असतो.
फोन नंबर प्लस चिन्ह आणि देश कोडसह आंतरराष्ट्रीय स्वरूपात, जसे +15035550123, सर्वोत्तम चालतात, म्हणजे कोड इतर देशांतील पाहुण्यांसाठीही चालतो.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (जुनी रूढी, अजूनही मोठ्या प्रमाणात वाचली जाते)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ईमेलची जुनी रूढी)
संदेशाचा मजकूर एन्कोड करणे
mailto आणि sms लिंकमधील विषय आणि संदेशाचा मजकूर पर्सेंट-एन्कोड करावा लागतो, म्हणजे स्पेस %20 बनते आणि मजकुरातील अँपरसँड %26 बनतो. एन्कोड न केलेली अक्षरे संदेश अर्धवट कापू शकतात किंवा लिंक तोडू शकतात.
प्लॅटफॉर्मनी sms body पॅरामीटर नेहमी सारखेच पार्स केलेले नाही, आणि जुना SMSTO: प्रकार QR जनरेटरमध्ये अजूनही सामान्य असण्याचे हे एक कारण आहे. छपाईपूर्वी iPhone आणि Android दोन्हीवर तपासणे हीच विश्वासार्ह चाचणी आहे.
हे कोड काय करू शकत नाहीत
QR कोड स्वतःहून ईमेल पाठवू शकत नाही, मजकूर संदेश पाठवू शकत नाही किंवा कॉल करू शकत नाही. तो फक्त फील्ड भरलेले ॲप उघडतो, आणि पाठवायचे की कॉल करायचा ते स्कॅन करणारा माणूस ठरवतो.
प्राप्तकर्ता पाठवण्यापूर्वी दिसत असल्याने लोकांनी तो त्यांच्या अपेक्षेशी जुळतो का ते तपासावे. प्रीमियम-रेट नंबरला किंवा अनोळखी पत्त्याला संदेश आधीच भरणारा कोड धोक्याचा इशारा आहे.